View Issue Details

IDProjectCategoryView StatusLast Update
0000730Far ManagerPlugins API.Dialogpublic2009-03-05 18:57
ReporterNightRomanAssigned ToDrKnS 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0000730: Far2: падение при DM_LISTINSERT
DescriptionПредположительно вот что делаем: вызываем удаление всех элементов списка DM_LISTDELETE и потом начинаем добавлять с помощью DM_LISTINSERT, сразу падаем.
Лучше почитать подробности в форуме, пропустив пару первых постов, где предположение о причинах падения неверны:
http://forum.farmanager.com/viewtopic.php?f=8&t=3796&start=0
TagsNo tags attached.
Build812

Activities

DrKnS

2009-03-04 23:07

administrator   bugnote:0002696

812

NightRoman

2009-03-05 14:41

reporter   bugnote:0002710

Падение для листбоксов устранено. Хоть мнения в обсуждении на форуме и разделились, мне кажется, что этот тикет закрыт (fixed). Я могу ошибаться, мое мнение можно игнорировать, это нормально, если это на пользу делу.

В подобной ситуации (очистка списка, а потом добавление елемента) остаются падения для combo-edit и combo-list, с ними я еще не разбирался, это другие контролы и тестировать их в Фар2 я только начал. Разберетесь сами - отлично. Не разберетесь, подебажу сам, когда получится, и открою новый тикет, если потребуется. Желательно мне знать, конечно, чтобы не было двойной работы.

Спасибо.

DrKnS

2009-03-05 18:57

administrator   bugnote:0002717

Ну, если я правильно понял это шаманство - предложенное решение вполне адекватное, так что будем считать что фиксед.

С combo-edit и combo-list пока делать ничего не будем, когда сможешь стабильно ронять при минимальном количестве действий - заведи новый тикет или переоткрой этот.

Issue History

Date Modified Username Field Change
2009-02-09 18:27 NightRoman New Issue
2009-03-04 23:07 DrKnS Note Added: 0002696
2009-03-04 23:07 DrKnS Assigned To => DrKnS
2009-03-04 23:07 DrKnS Status new => feedback
2009-03-05 14:41 NightRoman Note Added: 0002710
2009-03-05 14:41 NightRoman Status feedback => resolved
2009-03-05 14:41 NightRoman Resolution open => fixed
2009-03-05 18:56 DrKnS Project Far Manager 1.7x => Far Manager
2009-03-05 18:57 DrKnS Build => 812
2009-03-05 18:57 DrKnS Note Added: 0002717
2009-03-05 18:57 DrKnS Status resolved => closed
2009-03-05 18:57 DrKnS Fixed in Version => 2.0